Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84966 - path in byte-compiled code still wrong
Summary: path in byte-compiled code still wrong
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: python
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 14:12 UTC by Mihai Ibanescu
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-04 20:35:43 UTC


Attachments (Terms of Use)

Description Mihai Ibanescu 2003-02-24 14:12:19 UTC
Description of problem:
There is still a bug in the code that cleanses the path of the bytecode-compiled
files.

python -c 'import xmlrpclib; xmlrpclib.loads("adsfadf")'
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "//usr/lib/python2.2/xmlrpclib.py", line 805, in loads
    p.close()
  File "//usr/lib/python2.2/xmlrpclib.py", line 393, in close
    self._parser.Parse("", 1) # end of data
xml.parsers.expat.ExpatError: syntax error: line 1, column 0

Notice the double-slash.

Comment 1 Mihai Ibanescu 2003-02-24 16:28:58 UTC
Fixed in 2.2.2-24

Comment 2 Bill Nottingham 2006-08-04 20:35:43 UTC
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.


Note You need to log in before you can comment on or make changes to this bug.